#ifndef GRAPH_H
#define GRAPH_H


#include "stg_net.h"
#include "le_trace.h"




class Graph: public STG
{
	public:
		//constructor & destructor
		Graph();
		Graph(const Graph &);
		~Graph();

		
		//	public accessor methods
		//==========================
				
		darray<Trace*> * getTraces() const { return traces; }


    //	public methods
    //==================

		void extractTraces(darray<Trace*> *);

    //overload operators



		//	public member variables
		//===========================
		

		

	private:

		//	private methods
		//===================

		//set traces
		void traverseForward(Transition *);
		void traverseForward(Place *);
		bool isPlaceFreeChoice(Place *);

		
    //	private member variables
		//===========================

		TraceElement *tmpTrace;
		darray<Trace*> * traces;
		
    
};

#endif

