#include <stdio.h>
//#include "messages.h"
//#include "str_utils.h"
//#include "stg_net.h"
//#include "sv_circuit.h"
//#include "sv_lib.h"
//#include "sv_module.h"
//#include "le_params.h"

//#include "le_graph.h"
#include "le_leffort.h"


using namespace std;


extern void read_parameters(char *, Lib *);


int main (int argc, char** argv)
{
	if (argc == 5)
	{		
		LEffort *le = new LEffort;

		le->readVerilog(argv[1], argv[2]);
		le->readSTG(argv[4]);

		le->extractTraces();

		delete le;

	}
	else
		cout << endl << "Usage:" << endl << "	le [infile (.g)]" << endl;

	return 1;
}



// int main (int argc, char** argv)
// {
//   Progress("Reading command line parameters");
//   if (stg_process_params(argc, argv))
//   {
//     Progress("Creating STG object");
//     STG* stg = new STG(namecopy(_stg_input_file_names));
//     Progress("Read STG");
//     stg->readASTG(_stg_input_file_names);
//     Progress("Copy STG");
//     STG* stg_cpy = new STG(*stg);
//     Progress("Cleaning up original STG object");
//     delete stg;
//     Progress("Write copy STG");
//     stg_cpy->writeASTG(_stg_output_file_name);
//     Progress("Cleaning up copy STG object");
//     delete stg_cpy;
//   }
//   Progress("Cleaning up command line parameters");
//   stg_clear_params();
//   Progress("Done");
//   return 1;
// }


// int main(int argc, char* argv[])
// {
//   Progress("Reading command line parameters");
//   if (sv_process_params(argc, argv))
//   {
//     Progress("Creating library object");
//     Lib* lib = new Lib(NULL);
//     Progress("Creating circuit object");
//     Circuit* circuit = new Circuit(TAG_UNDEFINED, NULL, NULL, lib);
//     Module* module_top = NULL;
//     // read library predefined modules
//     Progress("Reading library modules");
//     lib->readModules(_sv_include_file_names);
//     // calc hierarchy of the circuit
//     Progress("Calculating library modules hierarchy");
//     lib->calcHierarchy();
//     // read circuit
//     Progress("Reading input files");
//     circuit->readModules(_sv_input_file_names);
//     // calc hierarchy of the circuit
//     Progress("Calculating circuit hierarchy");
//     circuit->calcHierarchy();
//     // find the topmost module
//     Progress("Calculating the topmost module");
//     module_top = circuit->calcModuleTop();
//     
//     // YOUR CODE GOES HERE
//     
//     // write the resultunt circuit into the output file
//     Progress("Writing output file");
//     circuit->writeModules(_sv_output_file_name);
//     // clean up
//     Progress("Cleaning up circuit object");
//     delete circuit;
//     Progress("Cleaning up library object");
//     delete lib;
//   }
//   Progress("Cleaning up command line parameters");
//   sv_clear_params();
//   Progress("Done");
//   return 1;
// }

