#include "le_trace.h"


//constructor
Path::Path()
{
	path = NULL;
}




Path::Path(const Path &rhs)
{

	if (rhs.path != NULL)
	{
		path = new darray<PathElement*>(rhs.path->num);
		for (int i=0; i<rhs.path->num; i++)
			path->add(rhs.path->arr[i]);

	}
	else
		path = NULL;
}



//destructor
Path::~Path()
{

// 	if (path != NULL)
// 	{
// 		for (int i=0; i<path->num; i++)
// 			delete path->arr[i];
// 		delete []path;
// 	}
}






void Path::set(Connection *c, Instance *i)
{
	if (path == NULL)
		path = new darray<PathElement*>();

	PathElement *element = new PathElement(c, i);
	path->add(element);

}


void Path::remove(Connection *c, Instance *i)
{
	PathElement *element = new PathElement(c, i);
	path->remove(element, 0);
	delete element;
}




//####################################################################################
//overload operators
//####################################################################################

ostream& operator << (ostream &os, const Path &p)
{
	if (p.getPath() != NULL)
	{
		for (int i=0; i<p.getPath()->num; i++)
		{
			cout << *(p.getPath()->arr[i]);
			if (i < (p.getPath()->num-1))
				cout << ", ";
		}
		cout << endl;
	}

	return os;
}









///////////////////////////////////////////////////////////////////////////////////////
//	private methods
///////////////////////////////////////////////////////////////////////////////////////






