#include "le_pathElement.h"


//constructor
PathElement::PathElement()
{
	connection = NULL;
	postset = NULL;
}


PathElement::PathElement(Connection *c, Instance *i)
{
	connection = c;
	postset = i;
}



PathElement::PathElement(const PathElement &rhs)
{
	connection = rhs.connection;
	postset = rhs.postset;
}



//destructor
PathElement::~PathElement()
{
	
}













//####################################################################################
//overload operators
//####################################################################################

ostream& operator << (ostream &os, const PathElement &e)
{
	if (e.getConnection() != NULL)
		cout << e.getConnection()->getName();
	
	if (e.getPostset() != NULL)
		cout << " -> " << e.getPostset()->getName() << endl;

	
	return os;
}








///////////////////////////////////////////////////////////////////////////////////////
//	private methods
///////////////////////////////////////////////////////////////////////////////////////






