#ifndef PATHELEMENT_H
#define PATHELEMENT_H


#include <iostream.h>
#include "sv_instance.h"




class PathElement
{
	public:
		//constructor & destructor
		PathElement();
		PathElement(Connection *, Instance *);
		PathElement(const PathElement &);
		~PathElement();

		
		//	public accessor methods
		//==========================

		Connection * getConnection() const { return connection; }
		Instance * getPostset() const {return postset; }

    //	public methods
    //==================

		void setConnection(Connection *c) { connection = c; } 
		void setPostset(Instance *post) { postset = post; }


    //overload operators
		friend ostream& operator << (ostream &, const PathElement &);


		//	public member variables
		//===========================
		

		

	private:

		//	private methods
		//===================




		
    //	private member variables
		//===========================

		Connection *connection;
		Instance *postset; //successor of connection

    
};

#endif

