#include "sv_parameter.h"
#include "sv_object.h"

//---------------------------------------------------------------------------
Parameter::Parameter(int tag, char* name, double value) : VerilogObject(tag, name)
{
  this->value = value;
}

//---------------------------------------------------------------------------
Parameter::Parameter(const Parameter& parameter) : VerilogObject(parameter)
{
  this->value = parameter.value;
}

//---------------------------------------------------------------------------
void Parameter::setValue(double value)
{
  this->value = value;
}

//---------------------------------------------------------------------------
double Parameter::getValue()
{
  return value;
}

