#ifndef TRACE_H
#define TRACE_H

#include "stg_transition.h"
#include "le_element.h"
#include "le_path.h"


class Trace
{
	public:
		//constructor & destructor
		Trace();
		Trace(const Trace &);
		~Trace();

		
		//	public accessor methods
		//==========================

		darray<Transition*> * getTransitions() const { return transitions; }
		darray<Connection*> * getConnections() const { return connections; }
		darray<Path*> * getPaths() const { return paths; }

		
    //	public methods
    //==================

		void set(Transition *);
		void set(Connection *);
		void set(Path *);

		static int compare(const void *, const void *);

    //overload operators
		friend ostream& operator << (ostream &, const Trace &);


		//	public member variables
		//===========================
		

		

	private:

		//	private methods
		//===================




		
    //	private member variables
		//===========================

		darray<Transition*> * transitions;
		darray<Connection*> * connections;
		darray<Path *> *paths;

};

#endif

