#ifndef _SV_PARAMETER_H_
#define _SV_PARAMETER_H_

#include "darray.h"
#include "hashtable.h"

class Parameter;
typedef darray <Parameter*> ParameterArray;
typedef HashTable <Parameter> ParameterHashTable;

#include "sv_object.h"

//---------------------------------------------------------------------------
class Parameter : public VerilogObject
{
  private:
    double value;
  public:
    Parameter(int tag = TAG_UNDEFINED, char* name = NULL, double value = 0);
    Parameter(const Parameter& parameter);
    void setValue(double value);
    double getValue();
};

#endif

