#include "messages.h"
#include "str_utils.h"
#include "stg_net.h"
#include "example_params.h"

using namespace std;

int main (int argc, char** argv)
{
  Progress("Reading command line parameters");
  if (example_process_params(argc, argv))
  {
    Progress("Creating STG object");
    STG* stg = new STG(namecopy(_example_input_file_names));
    Progress("Read STG");
    stg->readASTG(_example_input_file_names);
    Progress("Copy STG");
    STG* stg_cpy = new STG(*stg);
    Progress("Cleaning up original STG object");
    delete stg;
    Progress("Write copy STG");
    stg_cpy->writeASTG(_example_output_file_name);
    Progress("Cleaning up copy STG object");
    delete stg_cpy;
  }
  Progress("Cleaning up command line parameters");
  example_clear_params();
  Progress("Done");
  return 1;
}
