#ifndef TRACE_H
#define TRACE_H


#include "le_traceElement.h"
#include "le_path.h"


class Trace
{
	public:
		//constructor & destructor
		Trace();
		Trace(TraceElement *);
		Trace(const Trace &);
		~Trace();

		
		//	public accessor methods
		//==========================

		TraceElement* getTrace() const { return trace; }
		darray<Path*> * getPaths() const { return paths; }

		
    //	public methods
    //==================

		void set(Transition *);
		void set(Connection *);
		void set(Path *);

    //overload operators
		friend ostream& operator << (ostream &, const Trace &);


		//	public member variables
		//===========================
		

		

	private:

		//	private methods
		//===================




		
    //	private member variables
		//===========================

		TraceElement *trace;
		darray<Path *> *paths;

};

#endif

