#ifndef TRACEELEMENT_H
#define TRACEELEMENT_H


#include <iostream.h>
#include "sv_instance.h"
#include "stg_transition.h"




class TraceElement
{
	public:
		//constructor & destructor
		TraceElement();
		TraceElement(const TraceElement &);
		~TraceElement();

		
		//	public accessor methods
		//==========================

		darray<Transition*> * getTransitions() const { return transitions; }
		darray<Connection*> * getConnections() const { return connections; }
		

    //	public methods
    //==================

		void set(Transition *);
		void set(Connection *);


    //overload operators
		friend ostream& operator << (ostream &, const TraceElement &);


		//	public member variables
		//===========================
		

		

	private:

		//	private methods
		//===================




		
    //	private member variables
		//===========================

		darray<Transition*> * transitions;
		darray<Connection*> * connections;

    
};

#endif

