#include "object.h"
#include "stg_signal.h"

//---------------------------------------------------------------------------
Signal::Signal(char* name, Signal::Type type, Signal::State state) 
  : Object(TAG_UNDEFINED, name)
{
  this->type = type;
  this->state = state;
}

//---------------------------------------------------------------------------
Signal::Signal(const Signal& signal) : Object(signal)
{
  this->type = signal.type;
  this->state = signal.state;
}
