/* A Bison parser, made by GNU Bison 2.0.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0

/* Substitute the variable and function names.  */
#define yyparse stg_parse
#define yylex   stg_lex
#define yyerror stg_error
#define yylval  stg_lval
#define yychar  stg_char
#define yydebug stg_debug
#define yynerrs stg_nerrs


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     STG_MODEL = 258,
     STG_NAME = 259,
     STG_INPUTS = 260,
     STG_OUTPUTS = 261,
     STG_INTERNAL = 262,
     STG_CHANNELS = 263,
     STG_EXT_CHANNELS = 264,
     STG_INT_CHANNELS = 265,
     STG_DUMMY = 266,
     STG_CAPACITY = 267,
     STG_MARKING = 268,
     STG_CONCURRENT = 269,
     STG_ORDERED = 270,
     STG_LATE = 271,
     STG_TIME = 272,
     STG_INITIAL_STATE = 273,
     STG_GRAPH = 274,
     STG_STATE_GRAPH = 275,
     STG_IMPLEMENT = 276,
     STG_WITH = 277,
     STG_WITHOUT = 278,
     STG_SLOW = 279,
     STG_SLOWENV = 280,
     STG_LABEL = 281,
     STG_END = 282,
     STG_CONC_RED = 283,
     STG_SIMUL = 284,
     STG_ID = 285,
     STG_INUMBER = 286,
     STG_RNUMBER = 287,
     STG_STRING = 288,
     STG_NL = 289
   };
#endif
#define STG_MODEL 258
#define STG_NAME 259
#define STG_INPUTS 260
#define STG_OUTPUTS 261
#define STG_INTERNAL 262
#define STG_CHANNELS 263
#define STG_EXT_CHANNELS 264
#define STG_INT_CHANNELS 265
#define STG_DUMMY 266
#define STG_CAPACITY 267
#define STG_MARKING 268
#define STG_CONCURRENT 269
#define STG_ORDERED 270
#define STG_LATE 271
#define STG_TIME 272
#define STG_INITIAL_STATE 273
#define STG_GRAPH 274
#define STG_STATE_GRAPH 275
#define STG_IMPLEMENT 276
#define STG_WITH 277
#define STG_WITHOUT 278
#define STG_SLOW 279
#define STG_SLOWENV 280
#define STG_LABEL 281
#define STG_END 282
#define STG_CONC_RED 283
#define STG_SIMUL 284
#define STG_ID 285
#define STG_INUMBER 286
#define STG_RNUMBER 287
#define STG_STRING 288
#define STG_NL 289




/* Copy the first part of user declarations.  */
#line 1 "stg_y.y"

#include "stg_node.h"
#include "stg_signal.h"
#include "stg_place.h"
#include "stg_transition.h"
#include "stg_net.h"
#include "stg.h"

//#define DEBUG 1
#ifdef DEBUG
  #include <stdio.h>
  #define DEBUG_MSG(msg) fprintf(stderr, msg)
#else
  #define DEBUG_MSG(msg) // msg
#endif

STG* stg_net;

extern int stg_lex();
extern void stg_error(char*);


/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 26 "stg_y.y"
typedef union YYSTYPE {
  Signal* signal;
  SignalArray* signals;
  Node* node;
  NodeArray* nodes;
  char* string;
  int inumber;
  float rnumber;
} YYSTYPE;
/* Line 190 of yacc.c.  */
#line 184 "stg_y.c"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 213 of yacc.c.  */
#line 196 "stg_y.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

# ifndef YYFREE
#  define YYFREE free
# endif
# ifndef YYMALLOC
#  define YYMALLOC malloc
# endif

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   else
#    define YYSTACK_ALLOC alloca
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short int yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short int) + sizeof (YYSTYPE))			\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined (__GNUC__) && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short int yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  8
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   174

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  50
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  52
/* YYNRULES -- Number of rules. */
#define YYNRULES  119
/* YYNRULES -- Number of states. */
#define YYNSTATES  203

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   289

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    39,     2,     2,     2,     2,     2,     2,
      35,    36,    41,    37,    47,    38,     2,    42,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      46,    45,    48,    40,    49,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    43,     2,    44,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned short int yyprhs[] =
{
       0,     0,     3,    10,    11,    14,    17,    21,    22,    25,
      28,    31,    35,    39,    43,    47,    51,    55,    56,    59,
      61,    66,    69,    72,    76,    80,    84,    88,    94,   100,
     101,   105,   106,   109,   111,   114,   117,   121,   122,   125,
     129,   133,   134,   137,   139,   143,   146,   148,   149,   152,
     158,   161,   163,   166,   168,   171,   174,   176,   177,   180,
     181,   184,   188,   191,   192,   195,   199,   200,   203,   209,
     212,   216,   220,   224,   227,   233,   239,   245,   249,   250,
     253,   256,   259,   260,   263,   268,   273,   274,   277,   279,
     282,   286,   290,   291,   294,   300,   301,   304,   307,   310,
     313,   317,   321,   323,   327,   331,   335,   339,   341,   345,
     349,   351,   354,   358,   360,   362,   364,   367,   370,   371
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      51,     0,    -1,    52,    53,    57,    60,    77,   100,    -1,
      -1,    34,    52,    -1,     3,    34,    -1,     3,    30,    34,
      -1,    -1,    34,    53,    -1,    53,    54,    -1,    54,    34,
      -1,     5,    55,    34,    -1,     6,    55,    34,    -1,     7,
      55,    34,    -1,    11,    55,    34,    -1,     9,    55,    34,
      -1,    10,    55,    34,    -1,    -1,    55,    56,    -1,    30,
      -1,    30,    35,    31,    36,    -1,    30,    37,    -1,    30,
      38,    -1,    30,    38,    38,    -1,    30,    37,    37,    -1,
      30,    38,    37,    -1,    30,    37,    38,    -1,    30,    35,
      31,    36,    37,    -1,    30,    35,    31,    36,    38,    -1,
      -1,    18,    58,    34,    -1,    -1,    58,    59,    -1,    30,
      -1,    39,    30,    -1,    19,    61,    -1,    20,    34,    73,
      -1,    -1,    61,    34,    -1,    61,    62,    34,    -1,    68,
      63,    66,    -1,    -1,    40,    64,    -1,    65,    -1,    64,
      41,    65,    -1,    39,    30,    -1,    30,    -1,    -1,    66,
      67,    -1,    68,    35,    31,    36,    63,    -1,    68,    63,
      -1,    69,    -1,    70,    72,    -1,    71,    -1,    30,    37,
      -1,    30,    38,    -1,    30,    -1,    -1,    42,    31,    -1,
      -1,    73,    34,    -1,    73,    74,    34,    -1,    30,    75,
      -1,    -1,    75,    76,    -1,    68,    63,    30,    -1,    -1,
      77,    78,    -1,    13,    43,    79,    44,    34,    -1,    82,
      34,    -1,    12,    84,    34,    -1,    26,    96,    34,    -1,
      24,    83,    34,    -1,    25,    34,    -1,    14,    43,    86,
      44,    34,    -1,    15,    43,    86,    44,    34,    -1,    16,
      43,    86,    44,    34,    -1,    17,    88,    34,    -1,    -1,
      79,    80,    -1,    68,    81,    -1,    87,    81,    -1,    -1,
      45,    31,    -1,    21,    30,    22,    99,    -1,    21,    30,
      23,    99,    -1,    -1,    83,    68,    -1,    85,    -1,    84,
      85,    -1,    30,    45,    31,    -1,    87,    45,    31,    -1,
      -1,    86,    87,    -1,    46,    68,    47,    68,    48,    -1,
      -1,    88,    89,    -1,    88,    90,    -1,    88,    92,    -1,
      88,    95,    -1,    68,    28,    68,    -1,    68,    48,    91,
      -1,    68,    -1,    91,    48,    68,    -1,    93,    49,    94,
      -1,    68,    45,    68,    -1,    93,    45,    68,    -1,    68,
      -1,    94,    47,    68,    -1,    68,    29,    68,    -1,    97,
      -1,    96,    97,    -1,    68,    45,    98,    -1,    30,    -1,
      33,    -1,    30,    -1,    99,    30,    -1,    27,   101,    -1,
      -1,    34,   101,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,   123,   123,   132,   136,   141,   146,   155,   158,   162,
     169,   173,   183,   193,   203,   213,   219,   229,   233,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   256,
     259,   267,   270,   277,   285,   296,   300,   308,   311,   315,
     322,   333,   335,   339,   340,   344,   345,   350,   354,   363,
     368,   376,   384,   395,   403,   409,   418,   427,   431,   438,
     440,   441,   445,   448,   450,   454,   459,   462,   469,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   484,   486,
     490,   498,   514,   518,   526,   527,   530,   532,   536,   537,
     541,   542,   545,   547,   551,   560,   562,   563,   564,   565,
     569,   573,   577,   578,   582,   586,   587,   591,   592,   596,
     600,   601,   605,   609,   610,   614,   615,   619,   627,   630
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "STG_MODEL", "STG_NAME", "STG_INPUTS",
  "STG_OUTPUTS", "STG_INTERNAL", "STG_CHANNELS", "STG_EXT_CHANNELS",
  "STG_INT_CHANNELS", "STG_DUMMY", "STG_CAPACITY", "STG_MARKING",
  "STG_CONCURRENT", "STG_ORDERED", "STG_LATE", "STG_TIME",
  "STG_INITIAL_STATE", "STG_GRAPH", "STG_STATE_GRAPH", "STG_IMPLEMENT",
  "STG_WITH", "STG_WITHOUT", "STG_SLOW", "STG_SLOWENV", "STG_LABEL",
  "STG_END", "STG_CONC_RED", "STG_SIMUL", "STG_ID", "STG_INUMBER",
  "STG_RNUMBER", "STG_STRING", "STG_NL", "'('", "')'", "'+'", "'-'", "'!'",
  "'?'", "'*'", "'/'", "'{'", "'}'", "'='", "'<'", "','", "'>'", "'@'",
  "$accept", "stg", "model", "intro", "intro_declaration",
  "signal_def_list", "signal_def", "initial_state", "state_list", "state",
  "graph", "pn_line_list", "pn_line", "guard_opt", "guard", "guard_signal",
  "pn_arc_list", "node_ext", "node", "node_name", "transition",
  "place_or_dummy", "instance_opt", "sg_line_list", "sg_line",
  "sg_arc_list", "sg_arc", "outro", "outro_declaration", "marking_list",
  "marking", "token_num_opt", "implement", "slow_list", "capacity_list",
  "capacity", "edge_list", "edge", "time_list", "concurrency_reduction",
  "early_enabling", "trigger_events", "simultaneous_events", "fast_events",
  "slow_events", "concurrent_events", "label_list", "label_def", "label",
  "signal_list", "end", "after_end", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short int yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    40,    41,    43,    45,    33,
      63,    42,    47,   123,   125,    61,    60,    44,    62,    64
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    50,    51,    52,    52,    52,    52,    53,    53,    53,
      54,    54,    54,    54,    54,    54,    54,    55,    55,    56,
      56,    56,    56,    56,    56,    56,    56,    56,    56,    57,
      57,    58,    58,    59,    59,    60,    60,    61,    61,    61,
      62,    63,    63,    64,    64,    65,    65,    66,    66,    67,
      67,    68,    69,    69,    70,    70,    71,    72,    72,    73,
      73,    73,    74,    75,    75,    76,    77,    77,    78,    78,
      78,    78,    78,    78,    78,    78,    78,    78,    79,    79,
      80,    80,    81,    81,    82,    82,    83,    83,    84,    84,
      85,    85,    86,    86,    87,    88,    88,    88,    88,    88,
      89,    90,    91,    91,    92,    93,    93,    94,    94,    95,
      96,    96,    97,    98,    98,    99,    99,   100,   101,   101
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     6,     0,     2,     2,     3,     0,     2,     2,
       2,     3,     3,     3,     3,     3,     3,     0,     2,     1,
       4,     2,     2,     3,     3,     3,     3,     5,     5,     0,
       3,     0,     2,     1,     2,     2,     3,     0,     2,     3,
       3,     0,     2,     1,     3,     2,     1,     0,     2,     5,
       2,     1,     2,     1,     2,     2,     1,     0,     2,     0,
       2,     3,     2,     0,     2,     3,     0,     2,     5,     2,
       3,     3,     3,     2,     5,     5,     5,     3,     0,     2,
       2,     2,     0,     2,     4,     4,     0,     2,     1,     2,
       3,     3,     0,     2,     5,     0,     2,     2,     2,     2,
       3,     3,     1,     3,     3,     3,     3,     1,     3,     3,
       1,     2,     3,     1,     1,     1,     2,     2,     0,     2
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       3,     0,     3,     0,     7,     0,     5,     4,     1,     7,
      29,     6,     8,    17,    17,    17,    17,    17,    17,    31,
       9,     0,     0,     0,     0,     0,     0,     0,     0,    10,
      37,     0,    66,    19,    11,    18,    12,    13,    15,    16,
      14,    33,    30,     0,    32,    35,    59,     0,     0,    21,
      22,    34,    56,    38,     0,    41,    51,    57,    53,    36,
       0,     0,     0,     0,     0,    95,     0,    86,     0,     0,
     118,    67,     0,     2,     0,    24,    26,    25,    23,    54,
      55,    39,     0,    47,     0,    52,    63,    60,     0,     0,
       0,     0,    88,     0,    78,    92,    92,    92,     0,     0,
       0,    73,     0,     0,   110,   118,   117,    69,    20,    46,
       0,    42,    43,    40,    58,    62,    61,     0,     0,    70,
      89,     0,     0,     0,     0,     0,    77,     0,    96,    97,
      98,     0,    99,     0,     0,    72,    87,     0,    71,   111,
     119,    27,    28,    45,     0,    48,    41,    41,    64,    90,
       0,    91,     0,    82,    79,    82,     0,    93,     0,     0,
       0,     0,     0,     0,     0,     0,   115,    84,    85,   113,
     114,   112,    44,     0,    50,     0,     0,    68,     0,    80,
      81,    74,    75,    76,   100,   109,   105,   102,   101,   106,
     107,   104,   116,     0,    65,    94,    83,     0,     0,    41,
     103,   108,    49
};

/* YYDEFGOTO[NTERM-NUM]. */
static const short int yydefgoto[] =
{
      -1,     3,     4,    10,    20,    22,    35,    21,    28,    44,
      32,    45,    54,    83,   111,   112,   113,   145,   102,    56,
      57,    58,    85,    59,    88,   115,   148,    47,    71,   122,
     154,   179,    72,   100,    91,    92,   123,   157,    98,   128,
     129,   188,   130,   131,   191,   132,   103,   104,   171,   167,
      73,   106
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -144
static const short int yypact[] =
{
      -1,    20,    -1,     9,    -4,     8,  -144,  -144,  -144,    -4,
      10,  -144,    55,  -144,  -144,  -144,  -144,  -144,  -144,  -144,
      53,    39,    46,    48,    49,    51,    54,    56,   -16,  -144,
    -144,    74,  -144,    65,  -144,  -144,  -144,  -144,  -144,  -144,
    -144,  -144,  -144,    21,  -144,    59,  -144,    22,    68,    73,
      75,  -144,    84,  -144,    80,    89,  -144,    90,  -144,    61,
     -20,    87,    91,    92,    93,  -144,   103,  -144,    97,   107,
     104,  -144,   105,  -144,   106,  -144,  -144,  -144,  -144,  -144,
    -144,  -144,     1,  -144,   109,  -144,  -144,  -144,   110,    96,
     107,   -22,  -144,    98,  -144,  -144,  -144,  -144,    62,   101,
      64,  -144,   100,    67,  -144,   104,  -144,  -144,    88,  -144,
     116,   108,  -144,   107,  -144,   107,  -144,   117,   111,  -144,
    -144,   119,   -17,    23,    60,    63,  -144,   -23,  -144,  -144,
    -144,   -38,  -144,   121,   121,  -144,  -144,    11,  -144,  -144,
    -144,  -144,  -144,  -144,     1,  -144,    17,    89,  -144,  -144,
     107,  -144,   113,   112,  -144,   112,   120,  -144,   122,   125,
     107,   107,   107,   107,   107,   107,  -144,   130,   130,  -144,
    -144,  -144,  -144,   124,  -144,   131,   114,  -144,   132,  -144,
    -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,   118,  -144,
    -144,   123,  -144,   128,  -144,  -144,  -144,   107,   107,    89,
    -144,  -144,  -144
};

/* YYPGOTO[NTERM-NUM].  */
static const short int yypgoto[] =
{
    -144,  -144,   163,   158,  -144,    57,  -144,  -144,  -144,  -144,
    -144,  -144,  -144,  -143,  -144,    24,  -144,  -144,   -45,  -144,
    -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,  -144,
    -144,    14,  -144,  -144,  -144,    81,    31,   -59,  -144,  -144,
    -144,  -144,  -144,  -144,  -144,  -144,  -144,    70,  -144,    37,
    -144,    69
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1
static const unsigned char yytable[] =
{
      55,    93,     1,   174,   175,   160,   161,   164,    89,     8,
      89,   165,   119,    52,    41,    13,    14,    15,    42,    16,
      17,    18,   162,    43,    90,   163,    90,   152,    19,    90,
       9,   109,    93,     2,    60,    61,    62,    63,    64,    65,
     110,   169,    11,    66,   170,   118,    67,    68,    69,    70,
       5,    51,   173,   127,     6,   136,   202,    82,    30,    31,
      13,    14,    15,   155,    16,    17,    18,   156,   146,    90,
     147,    23,    24,    25,    26,    27,    33,   153,    33,    33,
      34,    33,    36,    37,    33,    38,    33,    29,    39,    52,
      40,    86,    52,    53,    52,    87,   126,    52,   135,    74,
      48,   138,    49,    50,   158,   176,    90,   159,    46,    90,
      75,    76,    77,    78,    81,   184,   185,   186,   187,   189,
     190,    79,    80,   133,   134,   141,   142,   124,   125,    82,
      94,   101,    84,    99,    95,    96,    97,    52,   105,   107,
     114,   117,   108,   121,   116,   137,   143,   177,   149,   144,
     151,   166,   200,   201,   181,   193,   182,   178,   150,   183,
     192,   194,   195,   196,   199,     7,   197,    12,   172,   180,
     198,   168,   120,   139,   140
};

static const unsigned char yycheck[] =
{
      45,    60,     3,   146,   147,    28,    29,    45,    30,     0,
      30,    49,    34,    30,    30,     5,     6,     7,    34,     9,
      10,    11,    45,    39,    46,    48,    46,    44,    18,    46,
      34,    30,    91,    34,    12,    13,    14,    15,    16,    17,
      39,    30,    34,    21,    33,    90,    24,    25,    26,    27,
      30,    30,    35,    98,    34,   100,   199,    40,    19,    20,
       5,     6,     7,   122,     9,    10,    11,    44,   113,    46,
     115,    14,    15,    16,    17,    18,    30,   122,    30,    30,
      34,    30,    34,    34,    30,    34,    30,    34,    34,    30,
      34,    30,    30,    34,    30,    34,    34,    30,    34,    31,
      35,    34,    37,    38,    44,   150,    46,    44,    34,    46,
      37,    38,    37,    38,    34,   160,   161,   162,   163,   164,
     165,    37,    38,    22,    23,    37,    38,    96,    97,    40,
      43,    34,    42,    30,    43,    43,    43,    30,    34,    34,
      31,    45,    36,    45,    34,    45,    30,    34,    31,    41,
      31,    30,   197,   198,    34,    31,    34,    45,    47,    34,
      30,    30,    48,    31,    36,     2,    48,     9,   144,   155,
      47,   134,    91,   103,   105
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,     3,    34,    51,    52,    30,    34,    52,     0,    34,
      53,    34,    53,     5,     6,     7,     9,    10,    11,    18,
      54,    57,    55,    55,    55,    55,    55,    55,    58,    34,
      19,    20,    60,    30,    34,    56,    34,    34,    34,    34,
      34,    30,    34,    39,    59,    61,    34,    77,    35,    37,
      38,    30,    30,    34,    62,    68,    69,    70,    71,    73,
      12,    13,    14,    15,    16,    17,    21,    24,    25,    26,
      27,    78,    82,   100,    31,    37,    38,    37,    38,    37,
      38,    34,    40,    63,    42,    72,    30,    34,    74,    30,
      46,    84,    85,    87,    43,    43,    43,    43,    88,    30,
      83,    34,    68,    96,    97,    34,   101,    34,    36,    30,
      39,    64,    65,    66,    31,    75,    34,    45,    68,    34,
      85,    45,    79,    86,    86,    86,    34,    68,    89,    90,
      92,    93,    95,    22,    23,    34,    68,    45,    34,    97,
     101,    37,    38,    30,    41,    67,    68,    68,    76,    31,
      47,    31,    44,    68,    80,    87,    44,    87,    44,    44,
      28,    29,    45,    48,    45,    49,    30,    99,    99,    30,
      33,    98,    65,    35,    63,    63,    68,    34,    45,    81,
      81,    34,    34,    34,    68,    68,    68,    68,    91,    68,
      68,    94,    30,    31,    30,    48,    31,    48,    47,    36,
      68,    68,    63
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (N)								\
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (0)
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
              (Loc).first_line, (Loc).first_column,	\
              (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Type, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short int *bottom, short int *top)
#else
static void
yy_stack_print (bottom, top)
    short int *bottom;
    short int *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);


# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The look-ahead symbol.  */
int yychar;

/* The semantic value of the look-ahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Look-ahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short int yyssa[YYINITDEPTH];
  short int *yyss = yyssa;
  register short int *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;


  yyvsp[0] = yylval;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short int *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short int *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a look-ahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to look-ahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a look-ahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid look-ahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the look-ahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 124 "stg_y.y"
    {
      DEBUG_MSG("stg : model intro initial_state graph outro end\n");
      stg_net->setName((yyvsp[-5].string));
    ;}
    break;

  case 3:
#line 132 "stg_y.y"
    {
      DEBUG_MSG("model : \n");
      (yyval.string) = NULL;
    ;}
    break;

  case 4:
#line 137 "stg_y.y"
    {
      DEBUG_MSG("model : STG_NL model\n");
      (yyval.string) = (yyvsp[0].string);
    ;}
    break;

  case 5:
#line 142 "stg_y.y"
    {
      DEBUG_MSG("model : STG_MODEL STG_NL\n");
      (yyval.string) = NULL;
    ;}
    break;

  case 6:
#line 147 "stg_y.y"
    {
      DEBUG_MSG("model : STG_MODEL STG_ID STG_NL\n");
      (yyval.string) = (yyvsp[-1].string);
    ;}
    break;

  case 7:
#line 155 "stg_y.y"
    {
      DEBUG_MSG("intro : \n");
    ;}
    break;

  case 8:
#line 159 "stg_y.y"
    {
      DEBUG_MSG("intro : STG_NL intro\n");
    ;}
    break;

  case 9:
#line 163 "stg_y.y"
    {
      DEBUG_MSG("intro : intro intro_declaration\n");
    ;}
    break;

  case 10:
#line 170 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : intro_declaration STG_NL\n");
    ;}
    break;

  case 11:
#line 174 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : STG_INPUTS signal_def_list STG_NL\n");
      for (int i = 0; i < (yyvsp[-1].signals)->num; i++)
      {
        (yyvsp[-1].signals)->arr[i]->setType(Signal::TYPE_INPUT);
      }
      stg_net->addSignals((yyvsp[-1].signals));
      delete (yyvsp[-1].signals);
    ;}
    break;

  case 12:
#line 184 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : STG_OUTPUTS signal_def_list STG_NL\n");
      for (int i = 0; i < (yyvsp[-1].signals)->num; i++)
      {
        (yyvsp[-1].signals)->arr[i]->setType(Signal::TYPE_OUTPUT);
      }
      stg_net->addSignals((yyvsp[-1].signals));
      delete (yyvsp[-1].signals);
    ;}
    break;

  case 13:
#line 194 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : STG_INTERNAL signal_def_list STG_NL\n");
      for (int i = 0; i < (yyvsp[-1].signals)->num; i++)
      {
        (yyvsp[-1].signals)->arr[i]->setType(Signal::TYPE_INTERNAL);
      }
      stg_net->addSignals((yyvsp[-1].signals));
      delete (yyvsp[-1].signals);
    ;}
    break;

  case 14:
#line 204 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : STG_DUMMY signal_def_list STG_NL\n");
      for (int i = 0; i < (yyvsp[-1].signals)->num; i++)
      {
        (yyvsp[-1].signals)->arr[i]->setType(Signal::TYPE_DUMMY);
      }
      stg_net->addSignals((yyvsp[-1].signals));
      delete (yyvsp[-1].signals);
    ;}
    break;

  case 15:
#line 214 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : STG_EXT_CHANNELS signal_def_list STG_NL\n");
      if ((yyvsp[-1].signals)) (yyvsp[-1].signals)->removeAll(true);
      delete (yyvsp[-1].signals);
    ;}
    break;

  case 16:
#line 220 "stg_y.y"
    {
      DEBUG_MSG("intro_declaration : STG_INT_CHANNELS signal_def_list STG_NL\n");
      if ((yyvsp[-1].signals)) (yyvsp[-1].signals)->removeAll(true);
      delete (yyvsp[-1].signals);
    ;}
    break;

  case 17:
#line 229 "stg_y.y"
    {
      DEBUG_MSG("signal_def_list : \n");
      (yyval.signals) = new SignalArray(1);
    ;}
    break;

  case 18:
#line 234 "stg_y.y"
    {
      DEBUG_MSG("signal_def_list : signal_def_list signal_def\n");
      (yyval.signals) = (yyvsp[-1].signals);
      (yyval.signals)->add(new Signal((yyvsp[0].string)));
    ;}
    break;

  case 29:
#line 256 "stg_y.y"
    {
      DEBUG_MSG("initial_state : \n");
    ;}
    break;

  case 30:
#line 260 "stg_y.y"
    {
      DEBUG_MSG("initial_state : STG_INITIAL_STATE state_list STG_NL\n");
    ;}
    break;

  case 31:
#line 267 "stg_y.y"
    {
      DEBUG_MSG("state_list\n");
    ;}
    break;

  case 32:
#line 271 "stg_y.y"
    {
      DEBUG_MSG("state_list : state_list state\n");
    ;}
    break;

  case 33:
#line 278 "stg_y.y"
    {
      DEBUG_MSG("state : STG_ID\n");
      Signal* signal_cur = stg_net->getSignal((yyvsp[0].string));
      if (signal_cur)
        signal_cur->setState(Signal::STATE_HIGH);
      delete [] (yyvsp[0].string);
    ;}
    break;

  case 34:
#line 286 "stg_y.y"
    {
      DEBUG_MSG("state : '!' STG_ID\n");
      Signal* signal_cur = stg_net->getSignal((yyvsp[0].string));
      if (signal_cur)
        signal_cur->setState(Signal::STATE_LOW);
      delete [] (yyvsp[0].string);
    ;}
    break;

  case 35:
#line 297 "stg_y.y"
    {
      DEBUG_MSG("graph : STG_GRAPH STG_NL pn_line_list\n");
    ;}
    break;

  case 36:
#line 301 "stg_y.y"
    {
      DEBUG_MSG("graph : STG_STATE_GRAPH STG_NL sg_line_list\n");
    ;}
    break;

  case 37:
#line 308 "stg_y.y"
    {
      DEBUG_MSG("pn_line_list : \n");
    ;}
    break;

  case 38:
#line 312 "stg_y.y"
    {
      DEBUG_MSG("pn_line_list : pn_line_list STG_NL\n");
    ;}
    break;

  case 39:
#line 316 "stg_y.y"
    {
      DEBUG_MSG("pn_line_list : pn_line_list pn_line STG_NL\n");
    ;}
    break;

  case 40:
#line 323 "stg_y.y"
    {
      DEBUG_MSG("pn_line : node guard_opt pn_arc_list\n");
      for (int i = 0; i < (yyvsp[0].nodes)->num; i++)
        stg_net->addArc((yyvsp[-2].node), (yyvsp[0].nodes)->arr[i]);
      delete (yyvsp[-2].node);
      (yyvsp[0].nodes)->removeAll(true);
      delete (yyvsp[0].nodes);
    ;}
    break;

  case 47:
#line 350 "stg_y.y"
    {
      DEBUG_MSG("pn_arc_list : \n");
      (yyval.nodes) = new NodeArray(1);
    ;}
    break;

  case 48:
#line 355 "stg_y.y"
    {
      DEBUG_MSG("pn_arc_list : pn_arc_list node_ext\n");
      (yyval.nodes) = (yyvsp[-1].nodes);
      (yyval.nodes)->add((yyvsp[0].node));
    ;}
    break;

  case 49:
#line 364 "stg_y.y"
    {
      DEBUG_MSG("node_ext : node '(' STG_INUMBER ')' guard_opt\n");
      (yyval.node) = (yyvsp[-4].node);
    ;}
    break;

  case 50:
#line 369 "stg_y.y"
    {
      DEBUG_MSG("node_ext : node guard_opt\n");
      (yyval.node) = (yyvsp[-1].node);
    ;}
    break;

  case 51:
#line 377 "stg_y.y"
    {
      DEBUG_MSG("node : STG_NAME\n");
      (yyval.node) = new Node((yyvsp[0].string));
    ;}
    break;

  case 52:
#line 385 "stg_y.y"
    {                                                
      DEBUG_MSG("node : transition instance_opt\n");
      if ((yyvsp[0].inumber) < 0)
         (yyval.string) = (yyvsp[-1].string);
      else
      {
        (yyval.string) = name2pattern(PATTERN_TRANSITION_INDEX, (yyvsp[-1].string), (yyvsp[0].inumber));
        delete [] (yyvsp[-1].string);
      }
    ;}
    break;

  case 53:
#line 396 "stg_y.y"
    {
      DEBUG_MSG("node : place_or_dummy\n");
      (yyval.string) = (yyvsp[0].string);
    ;}
    break;

  case 54:
#line 404 "stg_y.y"
    {
      DEBUG_MSG("transition : STG_ID '+'\n");
      (yyval.string) = name2pattern(PATTERN_TRANSITION, (yyvsp[-1].string), SYMBOL_POLARITY_RISING);
      delete [] (yyvsp[-1].string);
    ;}
    break;

  case 55:
#line 410 "stg_y.y"
    {
      DEBUG_MSG("transition : STG_ID '-'\n");
      (yyval.string) = name2pattern(PATTERN_TRANSITION, (yyvsp[-1].string), SYMBOL_POLARITY_FALLING);
      delete [] (yyvsp[-1].string);
    ;}
    break;

  case 56:
#line 419 "stg_y.y"
    {
      DEBUG_MSG("place_or_dummy : STG_ID\n");
      (yyval.string) = (yyvsp[0].string);
    ;}
    break;

  case 57:
#line 427 "stg_y.y"
    {
      DEBUG_MSG("instance_opt : \n");                 
      (yyval.inumber) = -1;                                       
    ;}
    break;

  case 58:
#line 432 "stg_y.y"
    {
      DEBUG_MSG("instance_opt : '/' STG_INUMBER\n");
      (yyval.inumber) = (yyvsp[0].inumber);
    ;}
    break;

  case 66:
#line 459 "stg_y.y"
    {
      DEBUG_MSG("outro : \n");
    ;}
    break;

  case 67:
#line 463 "stg_y.y"
    {
      DEBUG_MSG("outro : outro outro_declaration\n");
    ;}
    break;

  case 68:
#line 470 "stg_y.y"
    {
      DEBUG_MSG("outro_declaration : STG_MARKING '{' marking_list '}' STG_NL\n");
    ;}
    break;

  case 80:
#line 491 "stg_y.y"
    {
      DEBUG_MSG("marking : node token_num_opt\n");
      Place* place_cur = stg_net->getPlace((yyvsp[-1].node)->getName());
      if (place_cur)
        place_cur->setMarking((yyvsp[0].inumber));
      delete (yyvsp[-1].node);
    ;}
    break;

  case 81:
#line 499 "stg_y.y"
    {
      DEBUG_MSG("marking : edge token_num_opt\n");
      if ((yyvsp[-1].nodes)->num == 2)
      {
        Place* place_cur = stg_net->getPlace((yyvsp[-1].nodes)->arr[0]->getName(), (yyvsp[-1].nodes)->arr[1]->getName());
        if (place_cur)
          place_cur->setMarking((yyvsp[0].inumber));
      }
      (yyvsp[-1].nodes)->removeAll(true);
      delete (yyvsp[-1].nodes);
    ;}
    break;

  case 82:
#line 514 "stg_y.y"
    {
      DEBUG_MSG("token_num_opt : \n");
      (yyval.inumber) = 1;
    ;}
    break;

  case 83:
#line 519 "stg_y.y"
    {
      DEBUG_MSG("token_num_opt : '=' STG_INUMBER\n");
      (yyval.inumber) = (yyvsp[0].inumber);
    ;}
    break;

  case 94:
#line 552 "stg_y.y"
    {
      DEBUG_MSG("edge : '<' node ',' node '>'\n");
      (yyval.nodes) = new NodeArray(2);
      (yyval.nodes)->add((yyvsp[-3].node));
      (yyval.nodes)->add((yyvsp[-1].node));
    ;}
    break;

  case 117:
#line 620 "stg_y.y"
    {
      DEBUG_MSG("end : STG_END after_end\n");
    ;}
    break;

  case 118:
#line 627 "stg_y.y"
    {
      DEBUG_MSG("after_end : \n");
    ;}
    break;

  case 119:
#line 631 "stg_y.y"
    {
      DEBUG_MSG("after_end : STG_NL after_end\n");
    ;}
    break;


    }

/* Line 1037 of yacc.c.  */
#line 1751 "stg_y.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  const char* yyprefix;
	  char *yymsg;
	  int yyx;

	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  int yyxbegin = yyn < 0 ? -yyn : 0;

	  /* Stay within bounds of both yycheck and yytname.  */
	  int yychecklim = YYLAST - yyn;
	  int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
	  int yycount = 0;

	  yyprefix = ", expecting ";
	  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      {
		yysize += yystrlen (yyprefix) + yystrlen (yytname [yyx]);
		yycount += 1;
		if (yycount == 5)
		  {
		    yysize = 0;
		    break;
		  }
	      }
	  yysize += (sizeof ("syntax error, unexpected ")
		     + yystrlen (yytname[yytype]));
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yyprefix = ", expecting ";
		  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			yyp = yystpcpy (yyp, yyprefix);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yyprefix = " or ";
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse look-ahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* If at end of input, pop the error token,
	     then the rest of the stack, then return failure.  */
	  if (yychar == YYEOF)
	     for (;;)
	       {

		 YYPOPSTACK;
		 if (yyssp == yyss)
		   YYABORT;
		 yydestruct ("Error: popping",
                             yystos[*yyssp], yyvsp);
	       }
        }
      else
	{
	  yydestruct ("Error: discarding", yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse look-ahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

#ifdef __GNUC__
  /* Pacify GCC when the user code never invokes YYERROR and the label
     yyerrorlab therefore never appears in user code.  */
  if (0)
     goto yyerrorlab;
#endif

yyvsp -= yylen;
  yyssp -= yylen;
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping", yystos[yystate], yyvsp);
      YYPOPSTACK;
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  *++yyvsp = yylval;


  /* Shift the error token. */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yydestruct ("Error: discarding lookahead",
              yytoken, &yylval);
  yychar = YYEMPTY;
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 636 "stg_y.y"



