/* A Bison parser, made by GNU Bison 2.0.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0

/* Substitute the variable and function names.  */
#define yyparse sverilog_parse
#define yylex   sverilog_lex
#define yyerror sverilog_error
#define yylval  sverilog_lval
#define yychar  sverilog_char
#define yydebug sverilog_debug
#define yynerrs sverilog_nerrs


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     YYMODULE = 258,
     YYENDMODULE = 259,
     YYPARAMETER = 260,
     YYINPUT = 261,
     YYOUTPUT = 262,
     YYINOUT = 263,
     YYWIRE = 264,
     YYREG = 265,
     YYID = 266,
     YYINUMBER = 267,
     YYRNUMBER = 268
   };
#endif
#define YYMODULE 258
#define YYENDMODULE 259
#define YYPARAMETER 260
#define YYINPUT 261
#define YYOUTPUT 262
#define YYINOUT 263
#define YYWIRE 264
#define YYREG 265
#define YYID 266
#define YYINUMBER 267
#define YYRNUMBER 268




/* Copy the first part of user declarations.  */
#line 1 "sverilog_y.y"

#include <stdio.h>
#include <stdlib.h>
#include "sverilog.h"
#include "messages.h"
#include "str_utils.h"
#include "sv_object.h"
#include "sv_delay.h"
#include "sv_range.h"
#include "sv_parameter.h"
#include "sv_connection.h"
#include "sv_net.h"
#include "sv_port.h"
#include "sv_instance.h"
#include "sv_lib.h"
#include "sv_module.h"
#include "sv_circuit.h"

//#define YYDEBUG 1
#ifdef YYDEBUG
  #define YYTRACE(msg) fprintf(stdout, msg)
#else
  #define YYTRACE(msg) // msg
#endif

extern int sverilog_lex();
extern void sverilog_error(char*);

ModuleArray* sverilog_modules;


/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 35 "sverilog_y.y"
typedef union YYSTYPE {
  ModuleArray* modules;
  Module* module;
  Range* range;
  Delay* delay;
  Parameter* parameter;
  ParameterArray* parameters;
  Port* port;
  PortArray* ports;
  Instance* instance;
  InstanceArray* instances;
  Connection* connection;
  ConnectionArray* connections;
  VerilogObjectArray* objects;
  char* string;
  int inumber;
  float rnumber;
} YYSTYPE;
/* Line 190 of yacc.c.  */
#line 160 "sverilog_y.c"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 213 of yacc.c.  */
#line 172 "sverilog_y.c"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

# ifndef YYFREE
#  define YYFREE free
# endif
# ifndef YYMALLOC
#  define YYMALLOC malloc
# endif

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   else
#    define YYSTACK_ALLOC alloca
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short int yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short int) + sizeof (YYSTYPE))			\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined (__GNUC__) && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short int yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   96

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  26
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  37
/* YYNRULES -- Number of rules. */
#define YYNRULES  65
/* YYNRULES -- Number of states. */
#define YYNSTATES  119

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   268

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,    25,     2,     2,     2,     2,
      16,    17,     2,     2,    15,     2,    20,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    23,    14,
       2,    24,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    18,     2,    19,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    21,     2,    22,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned char yyprhs[] =
{
       0,     0,     3,     4,     7,    14,    15,    18,    21,    24,
      28,    30,    32,    34,    36,    38,    43,    48,    53,    58,
      64,    68,    70,    74,    80,    81,    83,    84,    88,    90,
      92,    94,    98,   100,   104,   110,   112,   116,   117,   121,
     123,   127,   129,   130,   132,   134,   137,   139,   140,   144,
     150,   152,   156,   157,   159,   165,   167,   171,   175,   177,
     178,   180,   183,   188,   195,   197
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      27,     0,    -1,    -1,    27,    28,    -1,     3,    11,    47,
      14,    29,     4,    -1,    -1,    29,    30,    -1,    29,    31,
      -1,    29,    37,    -1,     5,    57,    14,    -1,    32,    -1,
      33,    -1,    34,    -1,    35,    -1,    36,    -1,     6,    55,
      54,    14,    -1,     7,    55,    54,    14,    -1,     8,    55,
      54,    14,    -1,    10,    55,    54,    14,    -1,     9,    55,
      60,    54,    14,    -1,    11,    38,    14,    -1,    39,    -1,
      38,    15,    39,    -1,    40,    41,    16,    42,    17,    -1,
      -1,    11,    -1,    -1,    18,    12,    19,    -1,    43,    -1,
      44,    -1,    46,    -1,    43,    15,    46,    -1,    45,    -1,
      44,    15,    45,    -1,    20,    11,    16,    46,    17,    -1,
      50,    -1,    21,    48,    22,    -1,    -1,    16,    48,    17,
      -1,    49,    -1,    48,    15,    49,    -1,    50,    -1,    -1,
      51,    -1,    52,    -1,    11,    53,    -1,    12,    -1,    -1,
      18,    12,    19,    -1,    18,    12,    23,    12,    19,    -1,
      11,    -1,    54,    15,    11,    -1,    -1,    56,    -1,    18,
      12,    23,    12,    19,    -1,    58,    -1,    57,    15,    58,
      -1,    59,    24,    62,    -1,    11,    -1,    -1,    61,    -1,
      25,    62,    -1,    25,    16,    62,    17,    -1,    25,    16,
      62,    15,    62,    17,    -1,    12,    -1,    13,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,   107,   107,   111,   119,   163,   167,   175,   195,   209,
     217,   222,   227,   232,   237,   245,   262,   279,   296,   313,
     332,   340,   346,   355,   364,   368,   377,   381,   388,   393,
     401,   407,   416,   422,   431,   440,   462,   493,   497,   505,
     511,   520,   529,   533,   541,   549,   555,   572,   576,   581,
     589,   596,   607,   611,   619,   627,   633,   642,   650,   659,
     663,   671,   676,   681,   689,   694
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "YYMODULE", "YYENDMODULE", "YYPARAMETER",
  "YYINPUT", "YYOUTPUT", "YYINOUT", "YYWIRE", "YYREG", "YYID", "YYINUMBER",
  "YYRNUMBER", "';'", "','", "'('", "')'", "'['", "']'", "'.'", "'{'",
  "'}'", "':'", "'='", "'#'", "$accept", "source_text", "module",
  "module_item_clr", "parameter_declaration", "port_declaration",
  "input_declaration", "output_declaration", "inout_declaration",
  "reg_declaration", "wire_declaration", "instance_declaration",
  "instance_list", "instance", "instance_name_opt", "instance_index_opt",
  "connection_list", "ordered_connection_list", "named_connection_list",
  "named_connection", "connection", "port_list_opt", "port_list", "port",
  "port_expression_opt", "port_expression", "port_reference",
  "port_reference_arg", "variable_list", "range_opt", "range",
  "assignment_list", "assignment", "lvalue", "delay_opt", "delay",
  "constant", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short int yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    59,    44,    40,    41,    91,    93,
      46,   123,   125,    58,    61,    35
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    26,    27,    27,    28,    29,    29,    29,    29,    30,
      31,    31,    31,    31,    31,    32,    33,    34,    35,    36,
      37,    38,    38,    39,    40,    40,    41,    41,    42,    42,
      43,    43,    44,    44,    45,    46,    46,    47,    47,    48,
      48,    49,    50,    50,    51,    52,    52,    53,    53,    53,
      54,    54,    55,    55,    56,    57,    57,    58,    59,    60,
      60,    61,    61,    61,    62,    62
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     0,     2,     6,     0,     2,     2,     2,     3,
       1,     1,     1,     1,     1,     4,     4,     4,     4,     5,
       3,     1,     3,     5,     0,     1,     0,     3,     1,     1,
       1,     3,     1,     3,     5,     1,     3,     0,     3,     1,
       3,     1,     0,     1,     1,     2,     1,     0,     3,     5,
       1,     3,     0,     1,     5,     1,     3,     3,     1,     0,
       1,     2,     4,     6,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       2,     0,     1,     0,     3,    37,    42,     0,    47,    46,
       0,    39,    41,    43,    44,     5,     0,    45,    42,    38,
       0,     0,    40,     4,     0,    52,    52,    52,    52,    52,
      24,     6,     7,    10,    11,    12,    13,    14,     8,    48,
       0,    58,     0,    55,     0,     0,     0,    53,     0,     0,
      59,     0,    25,     0,    21,    26,     0,     9,     0,     0,
       0,    50,     0,     0,     0,     0,     0,    60,     0,    20,
      24,     0,     0,    49,    56,    64,    65,    57,     0,    15,
       0,    16,    17,     0,    61,     0,    18,    22,     0,    42,
       0,    51,     0,    19,    27,     0,    42,     0,    28,    29,
      32,    30,    35,    54,     0,    62,     0,     0,    23,    42,
       0,     0,    42,    36,    31,    33,    63,     0,    34
};

/* YYDEFGOTO[NTERM-NUM]. */
static const yysigned_char yydefgoto[] =
{
      -1,     1,     4,    20,    31,    32,    33,    34,    35,    36,
      37,    38,    53,    54,    55,    72,    97,    98,    99,   100,
     101,     7,    10,    11,    12,    13,    14,    17,    62,    46,
      47,    42,    43,    44,    66,    67,    77
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -89
static const yysigned_char yypact[] =
{
     -89,    35,   -89,    -3,   -89,    -4,    11,    26,    28,   -89,
      19,   -89,   -89,   -89,   -89,   -89,    44,   -89,    11,   -89,
      21,    14,   -89,   -89,    56,    50,    50,    50,    50,    50,
      58,   -89,   -89,   -89,   -89,   -89,   -89,   -89,   -89,   -89,
      59,   -89,    36,   -89,    46,    60,    62,   -89,    62,    62,
      52,    62,   -89,    38,   -89,    57,    55,   -89,    56,    42,
      53,   -89,    43,    45,    47,     1,    62,   -89,    49,   -89,
      58,    66,    63,   -89,   -89,   -89,   -89,   -89,    68,   -89,
      70,   -89,   -89,    42,   -89,    51,   -89,   -89,    64,    -5,
      65,   -89,    32,   -89,   -89,    71,    11,    69,    72,    73,
     -89,   -89,   -89,   -89,    42,   -89,    74,   -11,   -89,    -2,
      75,    76,    -2,   -89,   -89,   -89,   -89,    77,   -89
};

/* YYPGOTO[NTERM-NUM].  */
static const yysigned_char yypgoto[] =
{
     -89,   -89,   -89,   -89,   -89,   -89,   -89,   -89,   -89,   -89,
     -89,   -89,   -89,    22,   -89,   -89,   -89,   -89,   -89,   -25,
     -64,   -89,    -7,    78,   -88,   -89,   -89,   -89,   -46,    15,
     -89,   -89,    33,   -89,   -89,   -89,   -65
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1
static const unsigned char yytable[] =
{
      84,   102,    63,    64,    18,    68,     8,     9,     5,     8,
       9,   113,     6,    75,    76,    95,    96,    83,    92,    96,
      85,   102,     8,     9,   102,    23,    24,    25,    26,    27,
      28,    29,    30,    39,    18,     2,    19,    40,     3,   111,
      15,    48,    49,    50,    51,   114,    16,   104,   117,   105,
      57,    58,    69,    70,    75,    76,    21,    79,    80,    81,
      80,    82,    80,    86,    80,    93,    80,    41,    45,    52,
      59,    56,    60,    61,    73,    71,    78,    65,    88,    89,
      90,    91,   106,    94,   103,   115,   108,   109,   110,   107,
     112,    74,    87,   116,   118,    95,    22
};

static const unsigned char yycheck[] =
{
      65,    89,    48,    49,    15,    51,    11,    12,    11,    11,
      12,    22,    16,    12,    13,    20,    21,    16,    83,    21,
      66,   109,    11,    12,   112,     4,     5,     6,     7,     8,
       9,    10,    11,    19,    15,     0,    17,    23,     3,   104,
      14,    26,    27,    28,    29,   109,    18,    15,   112,    17,
      14,    15,    14,    15,    12,    13,    12,    14,    15,    14,
      15,    14,    15,    14,    15,    14,    15,    11,    18,    11,
      24,    12,    12,    11,    19,    18,    23,    25,    12,    16,
      12,    11,    11,    19,    19,   110,    17,    15,    15,    96,
      16,    58,    70,    17,    17,    20,    18
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,    27,     0,     3,    28,    11,    16,    47,    11,    12,
      48,    49,    50,    51,    52,    14,    18,    53,    15,    17,
      29,    12,    49,     4,     5,     6,     7,     8,     9,    10,
      11,    30,    31,    32,    33,    34,    35,    36,    37,    19,
      23,    11,    57,    58,    59,    18,    55,    56,    55,    55,
      55,    55,    11,    38,    39,    40,    12,    14,    15,    24,
      12,    11,    54,    54,    54,    25,    60,    61,    54,    14,
      15,    18,    41,    19,    58,    12,    13,    62,    23,    14,
      15,    14,    14,    16,    62,    54,    14,    39,    12,    16,
      12,    11,    62,    14,    19,    20,    21,    42,    43,    44,
      45,    46,    50,    19,    15,    17,    11,    48,    17,    15,
      15,    62,    16,    22,    46,    45,    17,    46,    17
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (N)								\
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (0)
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
              (Loc).first_line, (Loc).first_column,	\
              (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Type, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short int *bottom, short int *top)
#else
static void
yy_stack_print (bottom, top)
    short int *bottom;
    short int *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);


# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The look-ahead symbol.  */
int yychar;

/* The semantic value of the look-ahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Look-ahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short int yyssa[YYINITDEPTH];
  short int *yyss = yyssa;
  register short int *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;


  yyvsp[0] = yylval;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short int *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short int *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a look-ahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to look-ahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a look-ahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid look-ahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the look-ahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 107 "sverilog_y.y"
    {
      YYTRACE("source_text : \n");
      (yyval.modules) = sverilog_modules;
    ;}
    break;

  case 3:
#line 112 "sverilog_y.y"
    {
      YYTRACE("source_text : source_text module\n");
      (yyval.modules)->add((yyvsp[0].module));
    ;}
    break;

  case 4:
#line 120 "sverilog_y.y"
    {                                                                                                                                                 
      YYTRACE("module : YYMODULE YYID port_list_opt ';' module_item_clr YYENDMODULE\n");                                                              
      (yyval.module) = (yyvsp[-1].module);                                                                                                                                        
      (yyval.module)->setName((yyvsp[-4].string));                                                                                                                                
      // prepare to sort the ports                                                                                                                    
      PortArray* ports_sorted = new PortArray((yyval.module)->ports->num);                                                                                        
      for (int port_index = 0; port_index < (yyval.module)->ports->num; port_index++)                                                                             
      {                                                                                                                                               
        Port* port_cur = (yyval.module)->ports->arr[port_index];                                                                                                  
        port_cur->andTag(~TAG_OBJ_PROCESSED);                                                                                                         
      }                                                                                                                                               
      // add ports in the order they appear in the header                                                                                             
      for (int port_index = 0; port_index < (yyvsp[-3].ports)->num; port_index++)                                                                                    
      {                                                                                                                                               
        Port* port_new = (yyvsp[-3].ports)->arr[port_index];                                                                                                         
        Port* port_cur = (yyval.module)->getPort(port_new->getName());                                                                                            
        if (port_cur)                                                                                                                                 
        {                                                                                                                                             
          ports_sorted->add(port_cur);                                                                                                                
          port_cur->orTag(TAG_OBJ_PROCESSED);                                                                                                         
        }                                                                                                                                             
        else                                                                                                                                          
          Error("port <%s> of module <%s> in file <%s> is not defined", port_new->getName(), (yyval.module)->getName(), sverilog_filename);                       
      }                                                                                                                                               
      // add the rest of the ports                                                                                                                    
      for (int port_index = 0; port_index < (yyval.module)->ports->num; port_index++)                                                                             
      {                                                                                                                                               
        Port* port_cur = (yyval.module)->ports->arr[port_index];                                                                                                  
        if (port_cur->testTag(TAG_OBJ_PROCESSED))                                                                                                     
          port_cur->andTag(~TAG_OBJ_PROCESSED);                                                                                                       
        else                                                                                                                                          
          ports_sorted->add(port_cur);                                                                                                                
      }                                                                                                                                               
      // change the port list in the module                                                                                                           
      delete (yyval.module)->ports; 
      (yyval.module)->ports = ports_sorted;
      (yyvsp[-3].ports)->removeAll(true);                                                                                                                                
      delete (yyvsp[-3].ports);                                                                                                                                      
    ;}
    break;

  case 5:
#line 163 "sverilog_y.y"
    {
      YYTRACE("module_item_clr : \n");
      (yyval.module) = new Module(TAG_UNDEFINED, NULL, NULL, NULL, NULL, NULL);
    ;}
    break;

  case 6:
#line 168 "sverilog_y.y"
    {
      YYTRACE("module_item_clr : module_item_clr parameter_declaration\n");
      (yyval.module) = (yyvsp[-1].module);
      for (int i = 0; i < (yyvsp[0].parameters)->num; i++)
        (yyval.module)->addParameter((yyvsp[0].parameters)->arr[i]);
      delete (yyvsp[0].parameters);
    ;}
    break;

  case 7:
#line 176 "sverilog_y.y"
    {
      YYTRACE("module_item_clr : module_item_clr port_declaration\n");
      (yyval.module) = (yyvsp[-1].module);
      for (int i = 0; i < (yyvsp[0].ports)->num; i++)
      {
        Port* port_new = (yyvsp[0].ports)->arr[i];
        Port* port_cur = (yyval.module)->getPort(port_new->getName());
        if (port_cur)
        {
          port_cur->orTag(port_new->getTag());
          delete port_new;
        }
        else
        {
          (yyval.module)->addPort(port_new);
        }
      }
      delete (yyvsp[0].ports);
    ;}
    break;

  case 8:
#line 196 "sverilog_y.y"
    {
      YYTRACE("module_item_clr : module_item_clr instance_declaration\n");
      (yyval.module) = (yyvsp[-1].module);
      for (int i = 0; i < (yyvsp[0].instances)->num; i++)
      {
        (yyvsp[0].instances)->arr[i]->setContainer((yyval.module));
        (yyval.module)->addInstance((yyvsp[0].instances)->arr[i]);
      }
      delete (yyvsp[0].instances);
    ;}
    break;

  case 9:
#line 210 "sverilog_y.y"
    {
      YYTRACE("parameter_declaration : YYPARAMETER assignment_list ';'\n");
      (yyval.parameters) = (yyvsp[-1].parameters);
    ;}
    break;

  case 10:
#line 218 "sverilog_y.y"
    {
      YYTRACE("module_item : input_declaration\n");
      (yyval.ports) = (yyvsp[0].ports);
    ;}
    break;

  case 11:
#line 223 "sverilog_y.y"
    {
      YYTRACE("module_item : output_declaration\n");
      (yyval.ports) = (yyvsp[0].ports);
    ;}
    break;

  case 12:
#line 228 "sverilog_y.y"
    {
      YYTRACE("module_item : inout_declaration\n");
      (yyval.ports) = (yyvsp[0].ports);
    ;}
    break;

  case 13:
#line 233 "sverilog_y.y"
    {
      YYTRACE("module_item : reg_declaration\n");
      (yyval.ports) = (yyvsp[0].ports);
    ;}
    break;

  case 14:
#line 238 "sverilog_y.y"
    {
      YYTRACE("module_item : wire_declaration\n");
      (yyval.ports) = (yyvsp[0].ports);
    ;}
    break;

  case 15:
#line 246 "sverilog_y.y"
    {
      YYTRACE("input_declaration : YYINPUT range_opt variable_list ';'\n");
      (yyval.ports) = new PortArray((yyvsp[-1].objects)->num);
      for (int i = 0; i < (yyvsp[-1].objects)->num; i++)
      {
        VerilogObject* object_cur = (yyvsp[-1].objects)->arr[i];
        Port* port_new = new Port(TAG_PORT_INPUT, namecopy(object_cur->getName()), NULL, (yyvsp[-2].range), NULL);
        (yyval.ports)->add(port_new);
      }
      delete (yyvsp[-2].range);
      (yyvsp[-1].objects)->removeAll(true);
      delete (yyvsp[-1].objects);
    ;}
    break;

  case 16:
#line 263 "sverilog_y.y"
    {
      YYTRACE("output_declaration : YYOUTPUT range_opt variable_list ';'\n");
      (yyval.ports) = new PortArray((yyvsp[-1].objects)->num);
      for (int i = 0; i < (yyvsp[-1].objects)->num; i++)
      {
        VerilogObject* object_cur = (yyvsp[-1].objects)->arr[i];
        Port* port_new = new Port(TAG_PORT_OUTPUT, namecopy(object_cur->getName()), NULL, (yyvsp[-2].range), NULL);
        (yyval.ports)->add(port_new);
      }
      delete (yyvsp[-2].range);
      (yyvsp[-1].objects)->removeAll(true);
      delete (yyvsp[-1].objects);
    ;}
    break;

  case 17:
#line 280 "sverilog_y.y"
    {
      YYTRACE("inout_declaration : YYINOUT range_opt variable_list ';'\n");
      (yyval.ports) = new PortArray((yyvsp[-1].objects)->num);
      for (int i = 0; i < (yyvsp[-1].objects)->num; i++)
      {
        VerilogObject* object_cur = (yyvsp[-1].objects)->arr[i];
        Port* port_new = new Port(TAG_PORT_OUTPUT, namecopy(object_cur->getName()), NULL, (yyvsp[-2].range), NULL);
        (yyval.ports)->add(port_new);
      }
      delete (yyvsp[-2].range);
      (yyvsp[-1].objects)->removeAll(true);
      delete (yyvsp[-1].objects);
    ;}
    break;

  case 18:
#line 297 "sverilog_y.y"
    {
      YYTRACE("reg_declaration : YYREG range_opt variable_list ';'\n");
      (yyval.ports) = new PortArray((yyvsp[-1].objects)->num);
      for (int i = 0; i < (yyvsp[-1].objects)->num; i++)
      {
        VerilogObject* object_cur = (yyvsp[-1].objects)->arr[i];
        Port* port_new = new Port(TAG_PORT_REG, namecopy(object_cur->getName()), NULL, (yyvsp[-2].range), NULL);
        (yyval.ports)->add(port_new);
      }
      delete (yyvsp[-2].range);
      (yyvsp[-1].objects)->removeAll(true);
      delete (yyvsp[-1].objects);
    ;}
    break;

  case 19:
#line 314 "sverilog_y.y"
    {
      YYTRACE("net_declaration : YYWIRE range_opt delay_opt variable_list ';'\n");
      (yyval.ports) = new PortArray((yyvsp[-1].objects)->num);
      for (int i = 0; i < (yyvsp[-1].objects)->num; i++)
      {
        VerilogObject* object_cur = (yyvsp[-1].objects)->arr[i];
        // TODO: parse port dimension
        Port* port_new = new Port(TAG_PORT_WIRE, namecopy(object_cur->getName()), NULL, (yyvsp[-3].range), (yyvsp[-2].delay));
        (yyval.ports)->add(port_new);
      }
      delete (yyvsp[-3].range);
      delete (yyvsp[-2].delay);
      (yyvsp[-1].objects)->removeAll(true);
      delete (yyvsp[-1].objects);
    ;}
    break;

  case 20:
#line 333 "sverilog_y.y"
    {
      (yyval.instances) = (yyvsp[-1].instances);
      for (int i = 0; i < (yyval.instances)->num; i++)
        (yyval.instances)->arr[i]->setModuleName((yyvsp[-2].string));
  ;}
    break;

  case 21:
#line 341 "sverilog_y.y"
    {
      YYTRACE("instance_list : instance\n");
      (yyval.instances) = new InstanceArray(1);
      (yyval.instances)->add((yyvsp[0].instance));
    ;}
    break;

  case 22:
#line 347 "sverilog_y.y"
    {
      YYTRACE("instance_list : instance_list ',' instance\n");
      (yyval.instances) = (yyvsp[-2].instances);
      (yyval.instances)->add((yyvsp[0].instance));
    ;}
    break;

  case 23:
#line 356 "sverilog_y.y"
    {
      YYTRACE("instance : instance_name_opt instance_index_opt '(' connection_list ')'\n");
      (yyval.instance) = new Instance(TAG_UNDEFINED, (yyvsp[-4].string), (yyvsp[-3].inumber), NULL, (yyvsp[-1].connections));
    ;}
    break;

  case 24:
#line 364 "sverilog_y.y"
    {
      YYTRACE("instance_name_opt : \n");
      (yyval.string) = NULL;
    ;}
    break;

  case 25:
#line 369 "sverilog_y.y"
    {
      YYTRACE("instance_name_opt : YYID\n");
      (yyval.string) = (yyvsp[0].string);
    ;}
    break;

  case 26:
#line 377 "sverilog_y.y"
    {
      YYTRACE("instance_index_opt : \n");
      (yyval.inumber) = -1;
    ;}
    break;

  case 27:
#line 382 "sverilog_y.y"
    {
      YYTRACE("instance_index_opt : '[' YYINUMBER ']'\n");
      (yyval.inumber) = (yyvsp[-1].inumber);
    ;}
    break;

  case 28:
#line 389 "sverilog_y.y"
    {
      YYTRACE("connection_list : ordered_connection_list\n");
      (yyval.connections) = (yyvsp[0].connections);
    ;}
    break;

  case 29:
#line 394 "sverilog_y.y"
    {
      YYTRACE("connection_list : named_connection_list\n");
      (yyval.connections) = (yyvsp[0].connections);
    ;}
    break;

  case 30:
#line 402 "sverilog_y.y"
    {
      YYTRACE("ordered_connection_list : connection\n");
      (yyval.connections) = new ConnectionArray(1);
      (yyval.connections)->add((yyvsp[0].connection));
    ;}
    break;

  case 31:
#line 408 "sverilog_y.y"
    {
      YYTRACE("ordered_connection_list : ordered_connection_list ',' connection\n");
      (yyval.connections) = (yyvsp[-2].connections);
      (yyval.connections)->add((yyvsp[0].connection));
    ;}
    break;

  case 32:
#line 417 "sverilog_y.y"
    {
      YYTRACE("named_connection_list : named_connection\n");
      (yyval.connections) = new ConnectionArray(1);
      (yyval.connections)->add((yyvsp[0].connection));
    ;}
    break;

  case 33:
#line 423 "sverilog_y.y"
    {
      YYTRACE("named_connection_list : named_connection_list ',' named_connection\n");
      (yyval.connections) = (yyvsp[-2].connections);
      (yyval.connections)->add((yyvsp[0].connection));
    ;}
    break;

  case 34:
#line 432 "sverilog_y.y"
    {
      YYTRACE("named_connection : '.' YYID '(' connection ')'\n");
      (yyval.connection) = (yyvsp[-1].connection);
      (yyval.connection)->setName((yyvsp[-3].string));
    ;}
    break;

  case 35:
#line 441 "sverilog_y.y"
    {
      YYTRACE("connection : port_expression_opt\n");
      NetArray* nets = NULL;
      if ((yyvsp[0].port))
      {
        nets = new NetArray((yyvsp[0].port)->nets->num);
        for (int net_ind = 0; net_ind < (yyvsp[0].port)->nets->num; net_ind++)
        {
          Net* net_cur = (yyvsp[0].port)->nets->arr[net_ind];
          if (net_cur)
          {
            Net* net_new = new Net(*net_cur);
            nets->add(net_new);
          }
          else
            nets->add(NULL);
        }
        delete (yyvsp[0].port);
      }
      (yyval.connection) = new Connection(TAG_UNDEFINED, NULL, nets);
    ;}
    break;

  case 36:
#line 463 "sverilog_y.y"
    {
      YYTRACE("connection : '{' port_list_opt '}'\n");
      NetArray* nets = NULL;
      if ((yyvsp[-1].ports))
      {
        nets = new NetArray((yyvsp[-1].ports)->num);
        for (int port_ind = 0; port_ind < (yyvsp[-1].ports)->num; port_ind++)
        {
          Port* port_cur = (yyvsp[-1].ports)->arr[port_ind];
          for (int net_ind = 0; net_ind < port_cur->nets->num; net_ind++)
          {
            Net* net_cur = port_cur->nets->arr[net_ind];
            if (net_cur)
            {
              Net* net_new = new Net(*net_cur);
              nets->add(net_new);
            }
            else
              nets->add(NULL);
          }
          delete port_cur;
        }
        delete (yyvsp[-1].ports);
      }
      (yyval.connection) = new Connection(TAG_UNDEFINED, NULL, nets);
    ;}
    break;

  case 37:
#line 493 "sverilog_y.y"
    {
      YYTRACE("port_list_opt : \n");
      (yyval.ports) = NULL;
    ;}
    break;

  case 38:
#line 498 "sverilog_y.y"
    {
      YYTRACE("port_list_opt : '(' port_list ')'\n");
      (yyval.ports) = (yyvsp[-1].ports);
    ;}
    break;

  case 39:
#line 506 "sverilog_y.y"
    {
      YYTRACE("port_list : port\n");
      (yyval.ports) = new PortArray(2);
      (yyval.ports)->add((yyvsp[0].port));
    ;}
    break;

  case 40:
#line 512 "sverilog_y.y"
    {
      YYTRACE("port_list : port_list ',' port\n");
      (yyval.ports) = (yyvsp[-2].ports);
      (yyval.ports)->add((yyvsp[0].port));
    ;}
    break;

  case 41:
#line 521 "sverilog_y.y"
    {
      YYTRACE("port : port_expression_opt\n");
      (yyval.port) = (yyvsp[0].port);
    ;}
    break;

  case 42:
#line 529 "sverilog_y.y"
    {
      YYTRACE("port_expression_opt : \n");
      (yyval.port) = NULL;
    ;}
    break;

  case 43:
#line 534 "sverilog_y.y"
    {
      YYTRACE("port_expression_opt : port_expression\n");
      (yyval.port) = (yyvsp[0].port);
    ;}
    break;

  case 44:
#line 542 "sverilog_y.y"
    {
      YYTRACE("port_expression : port_reference\n");
      (yyval.port) = (yyvsp[0].port);
    ;}
    break;

  case 45:
#line 550 "sverilog_y.y"
    {
      YYTRACE("port_reference : YYID port_reference_arg\n");
      (yyval.port) = new Port(TAG_UNDEFINED, (yyvsp[-1].string), NULL, (yyvsp[0].range), NULL);
      delete (yyvsp[0].range);
    ;}
    break;

  case 46:
#line 556 "sverilog_y.y"
    {
      YYTRACE("port_reference : YYINUMBER\n");
      switch ((yyvsp[0].inumber))
      {
        case 0:
          (yyval.port) = new Port(TAG_UNDEFINED, namecopy(NAME_NET_GND), NULL, NULL, NULL);
          break;
        case 1:
          (yyval.port) = new Port(TAG_UNDEFINED, namecopy(NAME_NET_VDD), NULL, NULL, NULL);
          break;
      }
    ;}
    break;

  case 47:
#line 572 "sverilog_y.y"
    {
      YYTRACE("port_reference_arg : \n");
      (yyval.range) = NULL;
    ;}
    break;

  case 48:
#line 577 "sverilog_y.y"
    {
      YYTRACE("port_reference_arg : '[' YYINUMBER ']'\n");
      (yyval.range) = new Range((yyvsp[-1].inumber), (yyvsp[-1].inumber));
    ;}
    break;

  case 49:
#line 582 "sverilog_y.y"
    {
      YYTRACE("port_reference_arg : '[' YYINUMBER ':' YYINUMBER ']'\n");
      (yyval.range) = new Range((yyvsp[-3].inumber), (yyvsp[-1].inumber));
    ;}
    break;

  case 50:
#line 590 "sverilog_y.y"
    {
      YYTRACE("variable_list : YYID\n");
      (yyval.objects) = new VerilogObjectArray(1);
      VerilogObject* object_new = new VerilogObject(TAG_UNDEFINED, (yyvsp[0].string));
      (yyval.objects)->add(object_new);
    ;}
    break;

  case 51:
#line 597 "sverilog_y.y"
    {
      YYTRACE("variable_list : variable_list ',' YYID\n");
      (yyval.objects) = (yyvsp[-2].objects);
      VerilogObject* object_new = new VerilogObject(TAG_UNDEFINED, (yyvsp[0].string));
      (yyval.objects)->add(object_new);
    ;}
    break;

  case 52:
#line 607 "sverilog_y.y"
    {
      YYTRACE("range_opt : \n");
      (yyval.range) = NULL;
    ;}
    break;

  case 53:
#line 612 "sverilog_y.y"
    {
      YYTRACE("range_opt : range\n");
      (yyval.range) = (yyvsp[0].range);
    ;}
    break;

  case 54:
#line 620 "sverilog_y.y"
    {
      YYTRACE("range : '[' YYINUMBER ':' YYINUMBER ']'\n");
      (yyval.range) = new Range((yyvsp[-3].inumber), (yyvsp[-1].inumber));
    ;}
    break;

  case 55:
#line 628 "sverilog_y.y"
    {
      YYTRACE("assignment_list : assignment\n");
      (yyval.parameters) = new ParameterArray(1);
      (yyval.parameters)->add((yyvsp[0].parameter));
    ;}
    break;

  case 56:
#line 634 "sverilog_y.y"
    {
      YYTRACE("assignment_list : assignment_list ',' assignment\n");
      (yyval.parameters) = (yyvsp[-2].parameters);
      (yyval.parameters)->add((yyvsp[0].parameter));
    ;}
    break;

  case 57:
#line 643 "sverilog_y.y"
    {
      YYTRACE("assignment : lvalue '=' constant\n");
      (yyval.parameter) = new Parameter(TAG_UNDEFINED, (yyvsp[-2].string), (yyvsp[0].rnumber));
    ;}
    break;

  case 58:
#line 651 "sverilog_y.y"
    {
      YYTRACE("lvalue : YYID\n");
      (yyval.string)= (yyvsp[0].string);
    ;}
    break;

  case 59:
#line 659 "sverilog_y.y"
    {
      YYTRACE("delay_opt : \n");
      (yyval.delay) = NULL;
    ;}
    break;

  case 60:
#line 664 "sverilog_y.y"
    {
      YYTRACE("delay_opt : delay\n");
      (yyval.delay) = (yyvsp[0].delay);
  ;}
    break;

  case 61:
#line 672 "sverilog_y.y"
    {
      YYTRACE("delay : '#' constant\n");
      (yyval.delay) = new Delay((yyvsp[0].rnumber), (yyvsp[0].rnumber));
    ;}
    break;

  case 62:
#line 677 "sverilog_y.y"
    {
      YYTRACE("delay : '#' '(' constant ')'\n");
      (yyval.delay) = new Delay((yyvsp[-1].rnumber), (yyvsp[-1].rnumber));
    ;}
    break;

  case 63:
#line 682 "sverilog_y.y"
    {
      YYTRACE("delay : '#' '(' constant ',' constant ')'\n");
      (yyval.delay) = new Delay((yyvsp[-3].rnumber), (yyvsp[-1].rnumber));
    ;}
    break;

  case 64:
#line 690 "sverilog_y.y"
    {
      YYTRACE("constant : YYINUMBER\n");
      (yyval.rnumber) = (yyvsp[0].inumber);
    ;}
    break;

  case 65:
#line 695 "sverilog_y.y"
    {
      YYTRACE("constant : YYRNUMBER\n");
      (yyval.rnumber) = (yyvsp[0].rnumber);
    ;}
    break;


    }

/* Line 1037 of yacc.c.  */
#line 1863 "sverilog_y.c"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  const char* yyprefix;
	  char *yymsg;
	  int yyx;

	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  int yyxbegin = yyn < 0 ? -yyn : 0;

	  /* Stay within bounds of both yycheck and yytname.  */
	  int yychecklim = YYLAST - yyn;
	  int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
	  int yycount = 0;

	  yyprefix = ", expecting ";
	  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      {
		yysize += yystrlen (yyprefix) + yystrlen (yytname [yyx]);
		yycount += 1;
		if (yycount == 5)
		  {
		    yysize = 0;
		    break;
		  }
	      }
	  yysize += (sizeof ("syntax error, unexpected ")
		     + yystrlen (yytname[yytype]));
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yyprefix = ", expecting ";
		  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			yyp = yystpcpy (yyp, yyprefix);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yyprefix = " or ";
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse look-ahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* If at end of input, pop the error token,
	     then the rest of the stack, then return failure.  */
	  if (yychar == YYEOF)
	     for (;;)
	       {

		 YYPOPSTACK;
		 if (yyssp == yyss)
		   YYABORT;
		 yydestruct ("Error: popping",
                             yystos[*yyssp], yyvsp);
	       }
        }
      else
	{
	  yydestruct ("Error: discarding", yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse look-ahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

#ifdef __GNUC__
  /* Pacify GCC when the user code never invokes YYERROR and the label
     yyerrorlab therefore never appears in user code.  */
  if (0)
     goto yyerrorlab;
#endif

yyvsp -= yylen;
  yyssp -= yylen;
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping", yystos[yystate], yyvsp);
      YYPOPSTACK;
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  *++yyvsp = yylval;


  /* Shift the error token. */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yydestruct ("Error: discarding lookahead",
              yytoken, &yylval);
  yychar = YYEMPTY;
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 701 "sverilog_y.y"




